QGIS Application - Bug report #2302
render caching places map in wrong place when re-enabling
2009-12-19 06:17 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 12362
Description

simple steps to reproduce with new project:

1. caching ON

2. load map layer

3. caching OFF

4. pan map a noticeable amount

5. caching ON

-- the map is drawn at its original location (when loaded) AND reading the cursor location is wrong since the map extents set by the
panning haven't changed.

6. caching OFF

-- now the map is drawn at the previously panned location and reading the cursor location is correct.

| believe the cached map should be invalidated (dump the cache) when caching is turned off, hence the map will be totally re-drawn when
caching is enabled.

History

#1 - 2010-06-12 09:14 AM - Giovanni Manghi

confirmed with under Ubuntu linux.

#2 - 2011-12-16 01:57 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:22 AM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

2025-04-27 12




#5 - 2014-06-24 10:02 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Resolution set to fixed/implemented

- Status changed from Open to Closed

In qgis master this does not happen anymore.
